Skip to main content
`Ctrl`+`K`

# DMCompositeCreate

Creates a `DMCOMPOSITE`, used to generate “composite” vectors made up of several subvectors.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeCreate(MPI_Comm comm, DM *packer)

Collective

## Input Parameter

- comm - the processors that will share the global vector

## Output Parameter

- packer - the `DMCOMPOSITE` object

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCompositeScatter()`, `DMCreate()` `DMCompositeGather()`, `DMCreateGlobalVector()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()` `DMCompositeGetLocalVectors()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetEntries()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex73f90t.F90
src/ts/tutorials/ex14.c
src/snes/tutorials/ex21.c
src/snes/tutorials/ex28.c
src/snes/tutorials/ex22.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages